#!/bin/bash
# Fix MathML font problems caused by having a symbol font reference ahead
# of serif and Times.
MATHMLS=`locate res/mathml.css | sed -n -e "/css$/p"`;
echo Located the following files: $MATHMLS
if [ -z "$MATHMLS" ] ; then
   echo mathml.css file not located. Searching standard place.
   if [ -z "`/bin/ls /usr/lib/mozilla*/res/mathml.css 2>&1 | fgrep 'No such'`" ] ; then
	MATHMLS=`/bin/ls /usr/lib/mozilla*/res/mathml.css`;
	echo Found standard: MATHMLS=$MATHMLS
   else
	echo No mathml.css files found.
	exit
   fi
fi
for MATHML in $MATHMLS; do
echo;
echo Examining file: $MATHML
if [ -f "$MATHML" ] ; then
    UNDONE=`sed -n -e "/Symbol[^s].*Times/ p" -e "/Symbol[^s].*serif/ p" $MATHML`
    if [ "$UNDONE" ]; then
	echo You need serif and Times before Symbol in mathml.css
	echo Otherwise MathML will render incorrectly in Mozilla.
	read -p "Would you like me to correct that now for you? [y]es [n]o: " YESNO
	if [ $YESNO. = "y." ]; then
	    if cp $MATHML $MATHML.sym ; then 
		sed -e "s/Symbol, //g" -e "s/, serif//g" -e "s/serif, //g" -e "s/Standard Symbols L, //g" -e "s/ Times,/ Standard Symbols L, serif, Times, Symbol,/" $MATHML.sym >$MATHML
		echo Ok. Saved original file as $MATHML.sym. 
		echo "    Now line which was "
		echo `grep Symbol $MATHML.sym`
		echo "    has been changed to "
		echo `grep Symbol $MATHML`
            else
		echo Failed: could not copy the original mathml.css file
		echo You probably need to run this script as root or ask your sysadmin.
	    fi
	fi
    else
	if [ -f $MATHML.sym ]; then
	    echo Your Mozilla fonts were already fixed by this script.
            read -p "Do you want to restore the old list? [y]es [n]o: " YESNO
	    if [ $YESNO. = "y." ]; then
		cp $MATHML.sym $MATHML
	    fi
	else
	    echo Seems to have been fixed by hand.
	fi
    fi
else
    echo I can''t seem find it. The locate database may not be up to date.
    echo If you install Mozilla after the aliases, then to get MathML to work,
    echo you will have to run this script again a day later.
fi
done
echo Whatever you have done can be reversed by running this script again.
